org.optaplanner.core.impl.localsearch.decider.acceptor.tabu

## Class SolutionTabuAcceptor

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
        - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.SolutionTabuAcceptor

- All Implemented Interfaces:
    EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

  Deprecated.

      @Deprecated
      public class SolutionTabuAcceptor
      extends AbstractTabuAcceptor

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `aspirationEnabled, assertTabuHashCodeCorrectness, fadingTabuSizeStrategy, logIndentation, tabuSequenceDeque, tabuSizeStrategy, tabuToStepIndexMap, workingFadingTabuSize, workingTabuSize`

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolutionTabuAcceptor(String logIndentation)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<? extends Object>` | `findNewTabu(LocalSearchStepScope stepScope)` Deprecated.
    `protected Collection<? extends Object>` | `findTabu(LocalSearchMoveScope moveScope)` Deprecated.
    `void` | `phaseStarted(LocalSearchPhaseScope phaseScope)` Deprecated.

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `adjustTabuList, calculateFadingTabuAcceptChance, isAccepted, phaseEnded, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setFadingTabuSizeStrategy, setTabuSizeStrategy, stepEnded`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### SolutionTabuAcceptor

          public SolutionTabuAcceptor(String logIndentation)

      Deprecated.

  - ### Method Detail

    - #### findTabu

          protected Collection<? extends Object> findTabu(LocalSearchMoveScope moveScope)

      Deprecated.
      Specified by:
        `findTabu` in class `AbstractTabuAcceptor`

    - #### findNewTabu

          protected Collection<? extends Object> findNewTabu(LocalSearchStepScope stepScope)

      Deprecated.
      Specified by:
        `findNewTabu` in class `AbstractTabuAcceptor`

    - #### phaseStarted

          public void phaseStarted(LocalSearchPhaseScope phaseScope)

      Deprecated.
      Specified by:
        `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseStarted` in class `AbstractTabuAcceptor`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.